 /*
  * UAE - The Un*x Amiga Emulator
  *
  * Support for mapping raw keys to UAE input events;
  *
  * Copyright 2004 Richard Drummond
  */

/*
 * Default mapping from raw scancodes to UAE input events
 */

#define RAWKEYS_COMMON \
      RAWKEY_ESCAPE,		INPUTEVENT_KEY_ESC }, \
\
    { RAWKEY_F1,		INPUTEVENT_KEY_F1 }, \
    { RAWKEY_F2,		INPUTEVENT_KEY_F2 }, \
    { RAWKEY_F3,		INPUTEVENT_KEY_F3 }, \
    { RAWKEY_F4,		INPUTEVENT_KEY_F4 }, \
    { RAWKEY_F5,		INPUTEVENT_KEY_F5 }, \
    { RAWKEY_F6,		INPUTEVENT_KEY_F6 }, \
    { RAWKEY_F7,		INPUTEVENT_KEY_F7 }, \
    { RAWKEY_F8,		INPUTEVENT_KEY_F8 }, \
    { RAWKEY_F9,		INPUTEVENT_KEY_F9 }, \
    { RAWKEY_F10,		INPUTEVENT_KEY_F10 }, \
\
    { RAWKEY_1,			INPUTEVENT_KEY_1 }, \
    { RAWKEY_2,			INPUTEVENT_KEY_2 }, \
    { RAWKEY_3,			INPUTEVENT_KEY_3 }, \
    { RAWKEY_4,			INPUTEVENT_KEY_4 }, \
    { RAWKEY_5,			INPUTEVENT_KEY_5 }, \
    { RAWKEY_6,			INPUTEVENT_KEY_6 }, \
    { RAWKEY_7,			INPUTEVENT_KEY_7 }, \
    { RAWKEY_8,			INPUTEVENT_KEY_8 }, \
    { RAWKEY_9,			INPUTEVENT_KEY_9 }, \
    { RAWKEY_0,			INPUTEVENT_KEY_0 }, \
\
    { RAWKEY_TAB,		INPUTEVENT_KEY_TAB }, \
\
    { RAWKEY_A,			INPUTEVENT_KEY_A }, \
    { RAWKEY_B,			INPUTEVENT_KEY_B }, \
    { RAWKEY_C,			INPUTEVENT_KEY_C }, \
    { RAWKEY_D,			INPUTEVENT_KEY_D }, \
    { RAWKEY_E,			INPUTEVENT_KEY_E }, \
    { RAWKEY_F,			INPUTEVENT_KEY_F }, \
    { RAWKEY_G,			INPUTEVENT_KEY_G }, \
    { RAWKEY_H,			INPUTEVENT_KEY_H }, \
    { RAWKEY_I,			INPUTEVENT_KEY_I }, \
    { RAWKEY_J,			INPUTEVENT_KEY_J }, \
    { RAWKEY_K,			INPUTEVENT_KEY_K }, \
    { RAWKEY_L,			INPUTEVENT_KEY_L }, \
    { RAWKEY_M,			INPUTEVENT_KEY_M }, \
    { RAWKEY_N,			INPUTEVENT_KEY_N }, \
    { RAWKEY_O,			INPUTEVENT_KEY_O }, \
    { RAWKEY_P,			INPUTEVENT_KEY_P }, \
    { RAWKEY_Q,			INPUTEVENT_KEY_Q }, \
    { RAWKEY_R,			INPUTEVENT_KEY_R }, \
    { RAWKEY_S,			INPUTEVENT_KEY_S }, \
    { RAWKEY_T,			INPUTEVENT_KEY_T }, \
    { RAWKEY_U,			INPUTEVENT_KEY_U }, \
    { RAWKEY_V,			INPUTEVENT_KEY_V }, \
    { RAWKEY_W,			INPUTEVENT_KEY_W }, \
    { RAWKEY_X,			INPUTEVENT_KEY_X }, \
    { RAWKEY_Y,			INPUTEVENT_KEY_Y }, \
    { RAWKEY_Z,			INPUTEVENT_KEY_Z }, \
\
    { RAWKEY_CAPSLOCK,		INPUTEVENT_KEY_CAPS_LOCK }, \
\
    { RAWKEY_NUMPAD_1,		INPUTEVENT_KEY_NP_1 }, \
    { RAWKEY_NUMPAD_2,		INPUTEVENT_KEY_NP_2 }, \
    { RAWKEY_NUMPAD_3,		INPUTEVENT_KEY_NP_3 }, \
    { RAWKEY_NUMPAD_4,		INPUTEVENT_KEY_NP_4 }, \
    { RAWKEY_NUMPAD_5,		INPUTEVENT_KEY_NP_5 }, \
    { RAWKEY_NUMPAD_6,		INPUTEVENT_KEY_NP_6 }, \
    { RAWKEY_NUMPAD_7,		INPUTEVENT_KEY_NP_7 }, \
    { RAWKEY_NUMPAD_8,		INPUTEVENT_KEY_NP_8 }, \
    { RAWKEY_NUMPAD_9,		INPUTEVENT_KEY_NP_9 }, \
    { RAWKEY_NUMPAD_0,		INPUTEVENT_KEY_NP_0 }, \
    { RAWKEY_NUMPAD_PERIOD,	INPUTEVENT_KEY_NP_PERIOD }, \
    { RAWKEY_NUMPAD_PLUS,	INPUTEVENT_KEY_NP_ADD }, \
    { RAWKEY_NUMPAD_MINUS,	INPUTEVENT_KEY_NP_SUB }, \
    { RAWKEY_NUMPAD_MULTIPLY,	INPUTEVENT_KEY_NP_MUL }, \
    { RAWKEY_NUMPAD_DIVIDE,	INPUTEVENT_KEY_NP_DIV }, \
    { RAWKEY_NUMPAD_ENTER,	INPUTEVENT_KEY_ENTER }, \
\
    { RAWKEY_MINUS,		INPUTEVENT_KEY_SUB }, \
    { RAWKEY_EQUALS,		INPUTEVENT_KEY_EQUALS }, \
    { RAWKEY_BACKSPACE,		INPUTEVENT_KEY_BACKSPACE }, \
    { RAWKEY_ENTER,		INPUTEVENT_KEY_RETURN }, \
    { RAWKEY_SPACE,		INPUTEVENT_KEY_SPACE }, \
\
    { RAWKEY_LEFT_SHIFT,	INPUTEVENT_KEY_SHIFT_LEFT }, \
    { RAWKEY_LEFT_CTRL,		INPUTEVENT_KEY_CTRL }, \
    { RAWKEY_LEFT_SUPER,	INPUTEVENT_KEY_AMIGA_LEFT }, \
    { RAWKEY_LEFT_ALT,		INPUTEVENT_KEY_ALT_LEFT }, \
    { RAWKEY_RIGHT_ALT,		INPUTEVENT_KEY_ALT_RIGHT }, \
    { RAWKEY_RIGHT_SUPER,	INPUTEVENT_KEY_AMIGA_RIGHT }, \
    { RAWKEY_RIGHT_CTRL,	INPUTEVENT_KEY_CTRL_RIGHT }, \
    { RAWKEY_RIGHT_SHIFT,	INPUTEVENT_KEY_SHIFT_RIGHT }, \
\
    { RAWKEY_CURSOR_UP,		INPUTEVENT_KEY_CURSOR_UP }, \
    { RAWKEY_CURSOR_DOWN,	INPUTEVENT_KEY_CURSOR_DOWN }, \
    { RAWKEY_CURSOR_LEFT,	INPUTEVENT_KEY_CURSOR_LEFT }, \
    { RAWKEY_CURSOR_RIGHT,	INPUTEVENT_KEY_CURSOR_RIGHT }, \
\
    { RAWKEY_PAGEDOWN,		INPUTEVENT_KEY_AMIGA_LEFT }, \
    { RAWKEY_PAGEUP,		INPUTEVENT_KEY_AMIGA_RIGHT }, \
    { RAWKEY_DELETE,		INPUTEVENT_KEY_DEL }, \
    { RAWKEY_INSERT,		INPUTEVENT_KEY_HELP }, \
\
    { RAWKEY_LEFTBRACKET,	INPUTEVENT_KEY_LEFTBRACKET }, \
    { RAWKEY_RIGHTBRACKET,	INPUTEVENT_KEY_RIGHTBRACKET }, \
    { RAWKEY_SEMICOLON,		INPUTEVENT_KEY_SEMICOLON }, \
    { RAWKEY_SINGLEQUOTE,	INPUTEVENT_KEY_SINGLEQUOTE }, \
    { RAWKEY_GRAVE,		INPUTEVENT_KEY_BACKQUOTE }, \
    { RAWKEY_BACKSLASH,		INPUTEVENT_KEY_BACKSLASH }, \
    { RAWKEY_COMMA,		INPUTEVENT_KEY_COMMA }, \
    { RAWKEY_PERIOD,		INPUTEVENT_KEY_PERIOD }, \
    { RAWKEY_SLASH,		INPUTEVENT_KEY_DIV }, \
    { RAWKEY_LTGT,		INPUTEVENT_KEY_30


#define RAWKEYS_END  -1, 0

/*
 * These aren't in the common mapping
 * since not all platforms have events for these keys
 * 
    { RAWKEY_NUMPAD_EQUALS,	INPUTEVENT_KEY_NP_RPAREN },
    { RAWKEY_MENU,		INPUTEVENT_KEY_AMIGA_RIGHT },
    { RAWKEY_PRINTSCR,		INPUTEVENT_SPC_SCREENSHOT },
    { RAWKEY_PAUSE,		INPUTEVENT_SPC_PAUSE },
*/
